Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## turtlekit.simulations.termitesSorting
Class TermiteLauncher

    java.lang.Object
      madkit.kernel.AbstractAgent
          madkit.kernel.Agent
              turtlekit.kernel.Launcher
                  turtlekit.simulations.termitesSorting.TermiteLauncher

All Implemented Interfaces:
  java.io.Serializable, java.lang.Runnable

    public class TermiteLauncher

extends Launcher

Termite simulation launcher

Version:
  1.1 6/12/1999
Author:
  Fabien MICHEL
See Also:
  Serialized Form

Field Summary

Fields inherited from class turtlekit.kernel.Launcher
`COMMUNITY`

Constructor Summary
`TermiteLauncher()` redefine this method is not compulsory, but it is where you have to initialize the simulation variables and specialy the patch variables and their properties(evaporation, diffusion...)

Method Summary
`void` | `addSimulationAgents()` This method is compulsory (abstract in super class).
`float` | `getDensityRate()`
`int` | `getNbOfTermites()`
`void` | `setDensityRate(float add)` With these accessors this variable will be directly accessible during the simulation in the Launcher's properties Box, So you can change this value when doing a reset to obtain another simulation based on different parameters
`void` | `setNbOfTermites(int add)` With these accessors this variable will be directly accessible during the simulation in the Launcher's properties Box

Methods inherited from class turtlekit.kernel.Launcher
`activate, addMyScheduler, addObserver, addObserver, addPatchVariable, addTurtle, addTurtle, addViewer, addViewer, addViewer, addViewer, addViewer, addViewer, end, getCellSize, getHeight, getSimulationName, getWidth, initGUI, initializePatchVariables, launchPython, live, setCellSize, setCyclePause, setHeight, setSimulationName, setWidth, setWrapModeOn, stopOrResumeSimulation`

Methods inherited from class madkit.kernel.Agent
`connectAgencyToAgency, createPlace, createPlace, enableMobility, enableMobility, exitImmediatlyOnKill, getAgencyNamed, joinPlace, joinPlace, joinPlace, pause, receiveMessage, run, waitNextMessage, waitNextMessage`

Methods inherited from class madkit.kernel.AbstractAgent
`broadcastMessage, broadcastMessage, connectedWithCommunity, createGroup, createGroup, debug, destroyGroup, disposeMyGUI, foundGroup, getAddress, getAgentsWithRole, getAgentsWithRole, getAgentWithRole, getAgentWithRole, getAvailableCommunities, getBean, getController, getCurrentKernelAddress, getDebug, getExistingGroups, getExistingGroups, getExistingRoles, getExistingRoles, getGroups, getGUIObject, getMessageBoxSize, getMyGroups, getMyGroups, getMyRoles, getMyRoles, getName, getRoles, hasGUI, hashCode, hideMyGUI, isBelongingToGroup, isBelongingToGroup, isCommunity, isGroup, isGroup, isMemberOf, isMemberOf, isMessageBoxEmpty, isRole, isRole, joinGroup, killAgent, launchAgent, launchAgent, leaveGroup, leaveGroup, leaveRole, leaveRole, nextMessage, print, println, redisplayMyGUI, requestRole, requestRole, requestRole, restoreAgent, sendMessage, sendMessage, sendMessage, setBean, setController, setDebug, setGUIObject, setName, setOutput, setOutputWriter, toString, windowClosing`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TermiteLauncher

    public TermiteLauncher()

  redefine this method is not compulsory, but it is where you have to initialize the simulation variables and specialy the patch variables and their properties(evaporation, diffusion...) The constructor is where you have to change the default values of the simulation parameters using the corresponding accessors Default Values are: setSimulationName("? NAME ?); //The simulation name corresponds to the Madkit group that will be created for the simulation. setWidth(100); setHeight(100); setCellSize(4); //on screen size for patches and trutles setWrapModeOn(false); setCyclePause(10); //cycle pause represents the pause time between two simulation steps. This default quick pause is supposed to avoid that the simulation takes all ressources.

Method Detail

### setNbOfTermites

    public void setNbOfTermites(int add)

  With these accessors this variable will be directly accessible during the simulation in the Launcher's properties Box

### getNbOfTermites

    public int getNbOfTermites()

### setDensityRate

    public void setDensityRate(float add)

  With these accessors this variable will be directly accessible during the simulation in the Launcher's properties Box, So you can change this value when doing a reset to obtain another simulation based on different parameters

### getDensityRate

    public float getDensityRate()

### addSimulationAgents

    public void addSimulationAgents()

  This method is compulsory (abstract in super class). It is in this method that the optional agents of the simulation (turtles, viewers and observers) have to be added. For the termite simulation we add the termites, a default viewer and a observer (to initialize the simulation's patches)

  Specified by:
    `addSimulationAgents` in class `Launcher`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.